package com.yihu.hos.core.constants;

public class ServiceApi {

    // 菜单管理
    public static class SystemMenu {
        public static final String Prefix = "/systemMenu/";
        public static final String Create = "/systemMenu/create";
        public static final String Update = "/systemMenu/update";
        public static final String Delete = "/systemMenu/delete";
        public static final String GetById = "/systemMenu/{id}";
        public static final String List = "/systemMenu/list";
        public static final String ListNoPage = "/systemMenu/listNoPage";
        public static final String ListByLoginCode = "/systemMenu/listByLoginCode";
        public static final String IsUniqueCode = "/systemMenu/isUniqueCode";
        public static final String IsUniqueName = "/systemMenu/isUniqueName";
    }

    public static class AppApiResponse {
        public static final String AppApiResponses = "/appApiResponse";
        public static final String AppApiResponse = "/appApiResponse/{id}";
    }

    public static class AppApiParameter {
        public static final String AppApiParameters = "/appApiParameter";
        public static final String AppApiParameter = "/appApiParameter/{id}";
    }

    public static class AppFeature {
        public static final String AppFeatures = "/appFeature";
        public static final String FilterFeatureList = "/filterFeatureList";
        public static final String FilterFeatureNoPage = "/filterFeatureNoPage";
        public static final String FilterFeatureNoPageSorts = "/filterFeatureNoPageSorts";
        public static final String AppFeature = "/appFeature/{id}";
        public static final String FindAppMenus = "/appFeature/findAppMenus";
        public static final String IsExist = "/appFeature/isExist";
    }

    public static class AppApi {
        public static final String AppApis = "/appApi";
        public static final String AppApi = "/appApi/{id}";
        public static final String AppApisNoPage = "/appApiNoPage";
        public static final String AppApiSearch = "/appApi/search";
        public static final String AppApiAuth = "/appApiAuth";
    }

    public static class Apps {
        public static final String Apps = "/apps";
        public static final String GetApp = "/app";
        public static final String GetList = "/getList";
        public static final String AppsNoPage = "/apps/no_paging";
        public static final String App = "/apps/{app_id}";
        public static final String AppExistence = "/apps/{app_id}/existence";
        public static final String AppStatus = "/apps/{app_id}/status";
        public static final String AppNameExistence = "/app/{app_name}/existence";
        public static final String FilterList = "/apps/filterList";
        public static final String getAppTreeByType = "/getAppTreeByType";
    }

    public static class AppService {
        public static final String Create = "/service";
        public static final String Update = "/service";
        public static final String GetById = "/service/{id}";
        public static final String DeleteById = "/service/{id}";
        public static final String List = "/service/list";
    }

    public static class StdIndex {
        public static final String Create = "/stdIndex";
        public static final String Update = "/stdIndex";
        public static final String GetById = "/stdIndex/{id}";
        public static final String DeleteById = "/stdIndex/{ids}";
        public static final String List = "stdIndex/list";
        public static final String IsUnique = "stdIndex/isUnique";
    }

    public static class StdRelation {
        public static final String Modify = "/stdRelation";
        public static final String DeleteById = "/stdRelation/{ids}";
        public static final String List = "stdRelation/list";
        public static final String ListNoPage = "stdRelation/listNoPage";
        public static final String IsUnique = "stdRelation/isUnique";
    }

    public static class Standards {
        public static final String Caches = "/std/caches";
        public static final String Cache = "/std/caches/{version}";
        public static final String Sources = "/std/sources";
        public static final String NoPageSources = "/std/sources/no_paging";
        public static final String Source = "/std/sources/{id}";
        public static final String IsSourceCodeExist = "/std/sources/code_is_exist";
        public static final String NoPageTypes = "/std/types/no_paging";
        public static final String Types = "/std/types";
        public static final String Type = "/std/types/{id}";
        public static final String TypesCodeExistence = "/std/type/code/existence";
        public static final String TypeChildren = "/std/types/parent_id/childrens";
        public static final String TypesChildren = "/std/types/childrens";
        public static final String TypeList = "/cda_types/code_name";
        public static final String TypeParent = "/std/types/parent";
        public static final String TypeOther = "/std/types/{id}/other";
        public static final String Versions = "/std/versions";
        public static final String Version = "/std/versions/{version}";
        public static final String VersionInStageExist = "/std/versions/in_stage/existence";
        public static final String VersionCache = "/std/versions/{version}/cache";
        public static final String VersionNameExistence = "/std/version/name/existence";
        public static final String VersionBackStage = "/std/versions/{version}/back";
        public static final String VersionCommit = "/std/versions/{version}/commit";
        public static final String VersionRevert = "/std/versions/{version}/revert";
        public static final String VersionLatest = "/std/versions/latest";
        public static final String VersionLatestExistence = "/std/versions/{version}/latest/existence";
        public static final String Documents = "/std/documents";
        public static final String Document = "/std/documents/{id}";
        public static final String DocumentList = "/std/documentsList";
        public static final String DocumentFileExistence = "/std/documents/{id}/file/existence";
        public static final String DocumentCreateFile = "/std/documents/{id}/file/create";
        public static final String DocumentGetFile = "/std/documents/{id}/file";
        public static final String DocumentDataSet = "/std/documents/data_set";
        public static final String DocumentDataSetList = "/std/documents/data_set_list";
        public static final String DataSetRelationships = "/std/documents/data_set_relationships";
        public static final String DataSetRelationship = "/std/documents/data_set_relationships/{id}";
        public static final String Dictionaries = "/std/dictionaries";
        public static final String NoPageDictionaries = "/std/dictionaries/no_paging";
        public static final String Dictionary = "/std/dictionaries/{id}";
        public static final String DictionaryCode = "/std/dictionaries/code";
        public static final String MetaDataWithDict = "/std/data_set/{data_set_id}/meta_datas/{meta_data_id}/dictionaries";
        public static final String DictCodeIsExist = "/std/dictionaries/is_exist/code";
        public static final String DictOther = "/std/dictionaries/{id}/other";
        public static final String DictParent = "/std/dictionaries/{id}/parent";
        public static final String DictCodesExistence = "/dict/codes/existence";
        public static final String DictEntryBatch = "/dict/entry/batch";
        public static final String Entry = "/std/dictionaries/entries/{id}";
        public static final String Entries = "/std/dictionaries/entries";
        public static final String EntriesWithDictionary = "/std/dictionary/{dict_id}/entries";
        public static final String EntryCodeIsExist = "/std/dictionaries/entries/is_exist/code";
        public static final String DataSets = "/std/data_sets";
        public static final String NoPageDataSets = "/std/data_sets/no_paging";
        public static final String DataSet = "/std/data_sets/{id}";
        public static final String DataSetsName = "/std/data_sets/name";
        public static final String DataSetCodeIsExist = "/std/data_set/is_exist/code";
        public static final String DataSetsIds = "/std/{ids}data_sets";
        public static final String DataSetsBatch = "/std/data_set/bacth";
        public static final String MetaDatas = "/std/data_sets/meta_datas";
        public static final String MetaData = "/std/data_sets/meta_datas/{id}";
        public static final String MetaDataCodeExistence = "/std/data_sets/{data_set_id}/meta_data/inner_code/existence";
        public static final String MetaDataNameExistence = "/std/data_sets/{data_set_id}/meta_data/name/existence";
        public static final String MetaDatasName = "/std/data_sets/meta_datas/name";
        public static final String MetaDatasWithDataSet = "/std/data_sets/{data_set_id}/meta_datas";
        public static final String DispatchLogs = "/std/dispatches/logs";
        public static final String Dispatch = "/std/dispatches/{id}";
        public static final String Dispatches = "/std/dispatches";
        public static final String AdaptMeta = "/std/adapt/meta";
        public static final String AdaptDict = "/std/adapt/dict";

        public static class Specialdict{

            public static class Icd10{
                public static final String ListPage = "/dict/icd10s";
                public static final String Create = "/dict/icd10";
                public static final String Update = "/dict/icd10";
                public static final String GetById = "/dict/icd10/{id}";
                public static final String Delete = "/dict/icd10s";
                public static final String DeleteById = "/dict/icd10/{id}";
                public static final String IsCodeExist = "/dict/icd10/existence/code/{code}";
                public static final String IsNameExist = "/dict/icd10/existence/name";
                public static final String Icd10DictIsUsage = "/dict/icd10/hp/{id}";
                public static final String FindByCode = "/dict/icd10/code/{code}";
                public static final String FindByCodeList = "/dict/icd10/codeList";
                public static final String GetIcd10DictListByIds = "/dict/icd10/ids";
            }

            public static class IndicatorDict{
                public static final String ListPage = "/dict/indicators";
                public static final String Create = "/dict/indicator";
                public static final String Update = "/dict/indicator";
                public static final String GetById = "/dict/indicator/{id}";
                public static final String Delete = "/dict/indicators";
                public static final String DeleteById = "/dict/indicator/{id}";
                public static final String IsCodeExist = "/dict/indicator/existence/code/{code}";
                public static final String IsNameExist = "/dict/indicator/existence/name";
                public static final String IsUsage = "/dict/indicator/icd10/{id}";
                public static final String GetByCode = "/dict/indicators/code";
                public static final String GetByCodeList = "/dict/indicators/codeList";
                public static final String GetByIds = "/dict/indicators/ids";

            }

            public static class Drug{
                public static final String ListPage = "/dict/drugs";
                public static final String Create = "/dict/drug";
                public static final String Update = "/dict/drug";
                public static final String GetById = "/dict/drug/{id}";
                public static final String Delete = "/dict/drugs";
                public static final String DeleteById = "/dict/drug/{id}";
                public static final String IsCodeExist = "/dict/drug/existence/code/{code}";
                public static final String IsNameExist = "/dict/drug/existence/name";
                public static final String IsUsage = "/dict/drug/icd10/{id}";
                public static final String GetByIds = "/drugs/ids";

            }

            public static class HealthProblemDict{
                public static final String ListPage = "/dict/hps";
                public static final String Create = "/dict/hp";
                public static final String Update = "/dict/hp";
                public static final String GetById = "/getHpDict/hp/{id}";
                public static final String Delete = "/dict/hps";
                public static final String IsCodeExist = "/dict/hp/existence/code/{code}";
                public static final String IsNameExist = "/dict/hp/existence/name";
                public static final String GetHpDictByCode = "/dict/hp/{code}";
                public static final String GetDrugDictListByHpCode = "/dict/hp/{code}/drug";
                public static final String GetIndicatorsByHpCode = "/dict/hp/{code}/indicators";
                public static final String GetIcd10ByHpCode = "/dict/hp/{code}/icd10";
            }

            public static class Icd10DrugRelation{
                public static final String Create   = "/dict/icd10/drug";
                public static final String Creates  = "/dict/icd10/drugs";
                public static final String Update  = "/dict/icd10/drug";
                public static final String DeleteById  = "/dict/icd10/drug";
                public static final String Delete  = "/dict/icd10/drugs";
                public static final String ListPage  = "/dict/icd10/drugs";
                public static final String ListNoPage  = "/dict/icd10/drugs/no_paging";
                public static final String IsExist  = "/dict/icd10/drug/existence";
                public static final String GetByIcd10Ids  = "/icd10_drug_relations/icd10_ids";
            }

            public static class Icd10HpRelation{
                public static final String Create   = "/dict/hp/icd10";
                public static final String Creates  = "/dict/hp/icd10s";
                public static final String Update  = "/dict/hp/icd10";
                public static final String DeleteById  = "/dict/hp/icd10";
                public static final String Delete  = "/dict/hp/icd10s";
                public static final String ListPage  = "/dict/hp/icd10s";
                public static final String ListNoPage  = "/dict/hp/icd10s/no_paging";
                public static final String IsExist  = "/dict/hp/icd10/existence";
                public static final String GetByHpId  = "/hp_icd10_relation/hp_id";
            }

            public static class Icd10IndicatorRelation{
                public static final String Create   = "/dict/icd10/indicator";
                public static final String Creates  = "/dict/icd10/indicators";
                public static final String Update  = "/dict/icd10/indicator";
                public static final String DeleteById  = "/dict/icd10/indicator";
                public static final String Delete  ="/dict/icd10/indicators";
                public static final String ListPage  = "/dict/icd10/indicators";
                public static final String ListNoPage  = "/dict/icd10/indicators/no_paging";
                public static final String IsExist  = "/dict/icd10/indicator/existence";
                public static final String GetByIcd10Ids  = "/icd10_indicator_relations/icd10_ids";
            }
        }

    }

    //redis相关
    public static class Redis {
        public static final String InitDataSet = "/redis/init/dataset";
        public static final String InitMetada = "/redis/init/metada";
        public static final String InitDict = "/redis/init/dict";
        public static final String InitVersions = "/redis/init/versions";
        public static final String StdVersion = "/redis/stdVersion";
        public static final String StdDataSetCode = "/redis/stdDataSetCode";
        public static final String StdDataSetName = "/redis/stdDataSetName";
        public static final String StdDataSetNameByCode = "/redis/stdDataSetNameByCode";
        public static final String StdDataSetMultiRecord = "/redis/stdDataSetMultiRecord";
        public static final String StdMetadataType = "/redis/stdMetaDataType";
        public static final String StdMetadataDict = "/redis/stdMetaDataDict";
        public static final String StdDictEntryValue = "/redis/stdDictEntryValue";
        public static final String StdMetadataCodes = "/redis/stdMetadataCodes";
        public static final String StdMetadataName = "/redis/stdMetadataName";
        public static final String StdMetadataNullable = "/redis/stdMetaData/nullable";
        public static final String StdMetadataFormat = "/redis/stdMetadataFormat";
        public static final String StdDictEntryCodeExist = "/redis/stdDictEntry/CodeExist";
        public static final String StdDictEntryValueExist = "/redis/stdDictEntry/ValueExist";

        //清除缓存
        public static final String Delete = "/redis/delete";

        public static final String InitAdapterVersions = "/redis/init/adapterVersions";
        public static final String AdapterDataSetCode =  "/redis/adapterDataSetCode";
        public static final String AdapterMetadataCode =  "/redis/adapterMetadataCode";
        public static final String AdapterDictCode =  "/redis/adapterDictCode";
        public static final String AdapterDictEntryCode =  "/redis/adapterDictEntryCode";

    }

}
