package com.yihu.hos.web.framework.util;

import com.yihu.hos.core.datatype.StringUtil;
import com.yihu.hos.core.encrypt.MD5;

import java.net.URLEncoder;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Iterator;
import java.util.Map;
import java.util.TreeMap;

/**
 * @author HZY
 * @vsrsion 1.0
 * Created at 2017/3/15.
 */
public class SignVerifyUtil {

    private final String version = "1.0";

    private TreeMap<String, String> paramMap = new TreeMap<>();
    private String timestamp;
    //TODO 配置文件中配置
    private String gatewayUrl = "seb-gatewayUrl";
    private String api;
    private String appKey = "esb-key";
    private String token;

    public static void main(String[] args) throws Exception {
        SignVerifyUtil paramSignUtil = new SignVerifyUtil();
        paramSignUtil.setApi("collect");
        paramSignUtil.addParam("patientId", "11111", true);
        paramSignUtil.addParam("eventNo", "2222222", true);
        paramSignUtil.genParam();
        String s = paramSignUtil.signParam("secret");
        System.out.println(s);

    }

    public void setApi(String api) {
        this.api = api;
    }

    public void setGatewayUrl(String gatewayUrl) {
        this.gatewayUrl = gatewayUrl;
    }

    public void addParam(Map<String, String> params) throws Exception {
        if (params != null) {
            params.remove("sign");
            paramMap.put("api", params.get("api").toString());
            paramMap.put("v", params.get("v").toString());
            paramMap.put("timestamp", params.get("timestamp").toString());
            paramMap.put("param", params.get("param").toString());
            paramMap.put("appKey", params.get("appKey").toString());
        } else {
            return;
        }
    }

    /**
     * sign 签名生成  （   md5(secret + params拼接字符串 + secret)   ）
     *
     * @return
     */
    public String signParam(String secret) {
        Iterator<Map.Entry<String, String>> iterator = paramMap.entrySet().iterator();
        StringBuilder builder = new StringBuilder();
        builder.append(secret);
        while (iterator.hasNext()) {
            Map.Entry<String, String> next = iterator.next();
            String key = next.getKey();
            String value = next.getValue();
            builder.append(key);
            builder.append(value);
        }

        builder.append(secret);
        try {
            return MD5.hash(builder.toString());
        } catch (Exception e) {
            e.printStackTrace();
        }

        return null;
    }

    /**
     * http请求 参数拼接
     *
     * @return
     * @throws Exception
     */
    public String genParam() throws Exception {
        Iterator<Map.Entry<String, String>> iterator = paramMap.entrySet().iterator();

        StringBuilder builder = new StringBuilder();
        while (iterator.hasNext()) {
            Map.Entry<String, String> next = iterator.next();
            String key = next.getKey();
            String value = next.getValue();
            if (value == null) {
                throw new Exception("参数错误:参数" + key + "值为空.");
            }
            if (builder.length() == 0) {
                builder.append("?");
            } else {
                builder.append("&");
            }
            builder.append(key);
            builder.append("=");
            builder.append(URLEncoder.encode(value, "UTF-8"));
        }

        return builder.toString();
    }

    //TODO 获取应用token
    public String getToken() {
        return null;
    }

    public void setToken(String token) {
        this.token = token;
    }

    private void addParam(String paramName, String paramValue, boolean bMust) throws Exception {
        if (StringUtil.isEmpty(paramValue)) {
            if (bMust) {
                throw new Exception(paramName + "参数不能为空.");
            } else {
                return;
            }
        }

        String encodeValue = URLEncoder.encode(paramValue, "UTF-8");
        paramMap.put(paramName, encodeValue);
    }

    /**
     * 获取 ISO 8601格式的时间戳
     *
     * @return
     */
    private String getTimestamp() {
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss:SSZ");
        timestamp = format.format(new Date());

        return timestamp;
    }

}
