package com.yihu.hos.web.framework.util.file;

import com.yihu.hos.web.framework.util.DateUtil;
import org.apache.pdfbox.pdmodel.PDDocument;
import org.apache.pdfbox.text.PDFTextStripper;
import org.springframework.core.io.ClassPathResource;
import org.springframework.core.io.Resource;
import org.springframework.core.io.support.EncodedResource;
import org.springframework.core.io.support.PropertiesLoaderUtils;

import java.io.*;
import java.text.SimpleDateFormat;
import java.util.Properties;

/**
 *  pdf转换工具类
 */
public class PdfUtil {


    public static void main(String[] args) throws Exception {
        String timestamp = "2018-06-28T16:30:00+0800";
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ssZ");
        java.util.Date ts = format.parse(timestamp);

        String pdfPath = "E:\\temp\\test.pdf";
        String docPath = "E:\\temp\\test" + DateUtil.getSystemTime()+".doc";
        toPdf(pdfPath,docPath);



    }


    public static void toPdf(String pdfPath, String docPath) throws Exception {
        File file = new File(docPath);
        if (!file.getParentFile().exists()) {
            file.getParentFile().mkdirs();
        }
        PDDocument doc=PDDocument.load(new File(pdfPath));
        int pagenumber=doc.getNumberOfPages();
        FileOutputStream fos=new FileOutputStream(file);
        OutputStreamWriter writer = new OutputStreamWriter(fos, "UTF-8");
        PDFTextStripper stripper=new PDFTextStripper();

        //      doc.addSignature(arg0, arg1, arg2);

        stripper.setSortByPosition(true);//排序
        stripper.setWordSeparator("");//pdfbox对中文默认是用空格分隔每一个字，通过这个语句消除空格（视频是这么说的）
        stripper.setStartPage(1);//设置转换的开始页
        stripper.setEndPage(pagenumber);//设置转换的结束页
        stripper.writeText(doc,writer);
        writer.flush();
        writer.close();
        doc.close();
        System.out.println("pdf转换word成功！");
    }



}
